Subject: bug#21464: 25.0.50; [cc-langs] void-function cadar

From: Stefan Monnier <[email-masked]>
Date: Fri, 11 Sep 2015 21:16:47 -0400

> "Eval error in the ‘c-lang-defvar’ or ‘c-lang-setver’ for ‘comment-start’ (source eval): (void-function cadar)"

Using cl-lib instead of cl would solve such issues easily since we could
use cl-cadar and (require 'cl-lib) at run-time instead of only requiring
cl at compile-time.

I know we've discussed it already, but I urge you (Alan) to take
another look at the idea of unconditionally using cl-lib (and just
bundling it with cc-mode).  I'd be happy to help you do that.

Then you'll be free to use CL functions (via the cl-*
namespace) anywhere without having to worry about whether it's used at
runtime or compile time.

This is bound to happen sooner or later since cl.el is slated to move from
lisp/emacs-lisp to lisp/obsolete and then to GNU ELPA.

But even if cl.el were to stay in lisp/emacs-lisp, I think CC-mode
maintenance would benefit from it.

        Stefan